Bug 244383 - [exp-run] Deprecate procfs process debugging
Summary: [exp-run] Deprecate procfs process debugging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Baldwin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-24 21:52 UTC by John Baldwin
Modified: 2020-03-17 22:00 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Baldwin freebsd_committer freebsd_triage 2020-02-24 21:52:29 UTC
Can you please do an exp-run of head with the patch at https://reviews.freebsd.org/D23822
Comment 1 Antoine Brodin freebsd_committer 2020-03-08 09:31:50 UTC
Buildworld fails to complete:

/zpoudriere/jails/headi386PR244383/usr/src/sys/./sys/pioctl.h:45:2: error: "<sys/pioctl.h> is deprecated, ptrace() should be used instead" [-Werror,-W#warnings]                                                   
#warning "<sys/pioctl.h> is deprecated, ptrace() should be used instead"
Comment 2 John Baldwin freebsd_committer freebsd_triage 2020-03-09 17:22:41 UTC
sys/pioctl.h isn't even included in anywhere in world (I've done a make tinderbox of the later change to remove the header outright and it only removes #include statements from the kernel, not userland).  I'll see if I can reproduce, but it would be handy to have more context in the error (e.g. what file failed to compile)
Comment 3 Antoine Brodin freebsd_committer 2020-03-09 18:43:56 UTC
(In reply to John Baldwin from comment #2)
It's definitely reproducible, but with multiple make jobs the context was lost
Comment 4 John Baldwin freebsd_committer freebsd_triage 2020-03-10 16:44:15 UTC
Ok, sorry for that.  The breakage was in libsysdecode where the list of headers to #include in ioctl.c is computed at build time (and is why the branch with removal built fine).  I've updated the patch to ignore the #warning which fixed the world build for me.  Can you please re-test with the updated patch in the review?  Thanks
Comment 5 Antoine Brodin freebsd_committer 2020-03-16 13:20:35 UTC
Exp-run looks fine.